Bug 124480 - ArrayIndexOutOfBoundsException: 20
ArrayIndexOutOfBoundsException: 20
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milan Kubec
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT release601_fixes_ca...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 20:08 UTC by merjadok
Modified: 2008-02-20 18:17 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.37 KB, text/plain)
2007-12-27 20:08 UTC, merjadok
Details
stacktrace (2.37 KB, text/plain)
2008-01-05 04:49 UTC, mjr_1974
Details

Note You need to log in before you can comment on or make changes to this bug.
Description merjadok 2007-12-27 20:08:03 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b05
OS: Windows XP, 5.1, x86

User Comments: 
While doing right-click to package name (in Projects view) in order to create new class, this exception occured.
Comment 1 merjadok 2007-12-27 20:08:09 UTC
Created attachment 54536 [details]
stacktrace
Comment 2 mjr_1974 2008-01-05 04:49:21 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
In the Projects Window, I made a right click on a package to open the menu for creating a new class inside of that package
Comment 3 mjr_1974 2008-01-05 04:49:24 UTC
Created attachment 54715 [details]
stacktrace
Comment 4 Milan Kubec 2008-01-17 11:18:35 UTC
Fixed.

Checking in PackageViewChildren.java;
/cvs/java/project/src/org/netbeans/spi/java/project/support/ui/PackageViewChildren.java,v  <--  PackageViewChildren.java
new revision: 1.84; previous revision: 1.83
done
Comment 5 Jiri Prox 2008-01-31 12:19:38 UTC
verified
Comment 6 khu 2008-02-05 19:41:44 UTC
The fix has been ported into the release601_fixes branch.

Checking in PackageViewChildren.java;
/cvs/java/project/src/org/netbeans/spi/java/project/support/ui/Attic/PackageViewChildren.java,v  <-- 
PackageViewChildren.java
new revision: 1.82.8.1; previous revision: 1.82
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo